<? ob_start(); 
include("../script/conexion.php"); ?><?$link = conectarse();
$b = 0;
//bucle que recoge los datos del formulario sin utilizar post
foreach($_POST as $nombre_campo => $valor)
{
$asignacion = "\$" . $nombre_campo . "='" . $valor . "';";
eval($asignacion);
}

//comprobacion de los datos ingresados uno a uno

if($txtape_paterno !="")
{
$b = $b + 1;
$ape1 = strtolower($txtape_paterno);
$ssql = $ssql."apellido_paterno = '$ape1',";
}

if($txtape_materno !="")
{
$b = $b + 1;
$ape2 = strtolower($txtape_materno);
$ssql = $ssql."apellido_materno = '$ape2',";
}

if($txtnom_primero !="")
{
$b = $b + 1;
$nom1 = strtolower($txtnom_primero);
$ssql = $ssql."nombre_primero = '$nom1',";
}

if($txtnom_segundo !="")
{
$b = $b + 1;
$nom2 = strtolower($txtnom_segundo);
$ssql = $ssql."nombre_segundo = '$nom2',";
}

if($txtemail !="")
{
$b = $b + 1;
$ssql = $ssql."mail = '$txtemail',";
}

if($optfecha =="si")
{
$b = $b + 1;
//creacion de la variable fecha
$fecha =$lstanio."-".$lstmes."-".$lstdia;
$ssql=$ssql."fecha_nacimiento ='$fecha',";
}


if($optciudad =="si")
{
$b = $b + 1;
$ssql = $ssql."ciudad = $lstciudad,";
}

if($txtdireccion !="")
{
$b = $b + 1;
$ssql = $ssql."direccion = '$txtdireccion',";
}


if($txttelefono !="")
{
$b = $b + 1;
$ssql = $ssql."telefono = '$txttelefono',";
}

if($optcolegio == "si")
{
$b = $b + 1;
$ssql = $ssql."colegio_anterior = $lstcol_anterior,";
}

if($optsexo == "si")
{
$b = $b + 1;
$ssql = $ssql."sexo = $lstsexo,";
}

if($optnacionalidad == "si")
{
$b = $b + 1;
$ssql = $ssql."nacionalidad = $lstnacionalidad,";
}

if($optzona == "si")
{
$b = $b + 1;
$ssql = $ssql."zona = $lstzona,";
}

if($txtcedula !="")
{
$b = $b + 1;
$ssql = $ssql."cedula = '$txtcedula',";
}

if($opttipo == "si")
{
$b = $b + 1;
$ssql = $ssql."tipo_sangre = $lsttiposangre,";
}

if($txtrep_nombre !="")
{
$b = $b + 1;
$ssql = $ssql."nombre_representante = '$txtrep_nombre',";
}

if($txtrep_direccion !="")
{
$b = $b + 1;
$ssql = $ssql."direccion_representante = '$txtrep_direccion',";
}

if($txtrep_profesion !="")
{
$b = $b + 1;
$ssql = $ssql."profesion_representante = '$txtrep_profesion',";
}

if($txtrep_telefono !="")
{
$b = $b + 1;
$ssql = $ssql."telefono_represante = '$txtrep_telefono',";
}

if($b != 0)
{
$sql = "UPDATE historico_estudiante SET ". $ssql."id_estudiante = $codigo where id_estudiante = $codigo";  
mysql_query($sql,$link);
}

//actualizacion de los datos curso
$a = 0;

if($b==0 && $a==0)
{
header ("location:mensaje1.php");
}
else
{
header ("location:mensaje.php");
}
ob_end_flush(); 
?>
